import purebem from 'purebem';

import Button from './Button';
import FoundationSpinner from '../spinner/FoundationSpinner';

import defaultFoundationButtonUI from './utils/defaultFoundationButtonUI';

import './FoundationButton.less';


export default Button({
    block: purebem.of('foundation-new-button'),
    displayName: 'FoundationButton',
    Spinner: FoundationSpinner,
    uiProp: defaultFoundationButtonUI
});
