import purebem from 'purebem';

import RouteButton from './RouteButton';

import defaultFoundationButtonUI from './utils/defaultFoundationButtonUI';

import './FoundationButton.less';


const Component = RouteButton({
    block: purebem.of('foundation-new-button'),
    displayName: 'FoundationRouteButton',
    uiProp: defaultFoundationButtonUI
});

export default Component;
