export const type = 'BILLOGRAM-FOUNDATION.COMPONENT-MOUNT';

export default ({ initialComponentState, root }) => {
    return {
        type,
        meta: {
            root
        },
        payload: initialComponentState
    };
};

export const reducer = {
    [type]: (state, action) => {
        const component = state[action.meta.root];
        return component === undefined
            ? state.set(action.meta.root, action.payload)
            : state;
    }
};
